Bug 731096 - Wrong assertion result using python client
Summary: Wrong assertion result using python client
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid
Version: 2.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: Ted Ross
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 16:44 UTC by Petr Matousek
Modified: 2019-02-08 15:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Petr Matousek 2011-08-16 16:44:36 UTC
Description of problem:

Using assert in address string passed to python client do not give proper results

i.e.
# qpid-config add queue q
# drain "q;{assert:always, node:{durable:True}}"; echo $?
0
# drain "q;{assert:always, node:{x-declare: {exclusive:True}}}"; echo $?
0

The return code of the commands above shall be non-zero, commands shall output something like:
Queue not durable: q
Queue not exclusive: q

Other clients do not suffer from that.

Version-Release number of selected component (if applicable):
python-qpid-0.10-1.el6

How reproducible:
100%

Steps to Reproduce:

  
Actual results:
Wrong assertion results

Expected results:
Proper assertion results

Additional info:

Comment 2 Petr Matousek 2012-11-15 13:13:25 UTC
I would like to have also following case resolved by this bz:
# ./spout "ex;{ create:sender, node: { type:topic,x-declare:{type:topic}}}"
# ./spout "ex;{ assert: sender, node: { type:topic,x-declare:{type:fanout}}}"

Actual result:
both the messages are delivered to the exchange 'ex'

Expected result:
Exception like 'Exchange ex is of incorrect type, expected fanout but got topic' shall be thrown in step 2 instead of delivering the message


Note You need to log in before you can comment on or make changes to this bug.